#pragma once

#include <memory>
#include <string>

class XmlAttribute
{
public:
    XmlAttribute(const std::string& name);

    static std::unique_ptr<XmlAttribute> Create(const std::string& name);

    const std::string& getName() const;

    const std::string& getValue() const;

    void setValue(const std::string& value);
private:
    std::string mName;
    std::string mValue;
};

using XmlAttributePtr = std::unique_ptr<XmlAttribute>;
